nxt

## Class TransactionType

- java.lang.Object
- - nxt.TransactionType

- Direct Known Subclasses:
    MonetarySystem, ShufflingTransaction, TransactionType.AccountControl, TransactionType.ColoredCoins, TransactionType.Data, TransactionType.DigitalGoods, TransactionType.Messaging, TransactionType.Payment

      public abstract class TransactionType
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TransactionType.AccountControl`
    `static class` | `TransactionType.ColoredCoins`
    `static class` | `TransactionType.Data`
    `static class` | `TransactionType.DigitalGoods`
    `static class` | `TransactionType.Messaging`
    `static class` | `TransactionType.Payment`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `canHaveRecipient()`
    `static TransactionType` | `findTransactionType(byte type, byte subtype)`
    `abstract AccountLedger.LedgerEvent` | `getLedgerEvent()`
    `abstract java.lang.String` | `getName()`
    `abstract byte` | `getSubtype()`
    `abstract byte` | `getType()`
    `boolean` | `isPhasable()`
    `abstract boolean` | `isPhasingSafe()`
    `boolean` | `mustHaveRecipient()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### findTransactionType

          public static TransactionType findTransactionType(byte type,
                                                            byte subtype)

    - #### getType

          public abstract byte getType()

    - #### getSubtype

          public abstract byte getSubtype()

    - #### getLedgerEvent

          public abstract AccountLedger.LedgerEvent getLedgerEvent()

    - #### canHaveRecipient

          public abstract boolean canHaveRecipient()

    - #### mustHaveRecipient

          public boolean mustHaveRecipient()

    - #### isPhasingSafe

          public abstract boolean isPhasingSafe()

    - #### isPhasable

          public boolean isPhasable()

    - #### getName

          public abstract java.lang.String getName()

    - #### toString

          public final java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`